summaryrefslogtreecommitdiffstats
path: root/tests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:58:51 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:58:51 +0000
commitcbffab246997fb5a06211dfb706b54e5ae5bb59f (patch)
tree0573c5d96f58d74d76a49c0f2a70398e389a36d3 /tests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst
parentInitial commit. (diff)
downloaddpkg-upstream.tar.xz
dpkg-upstream.zip
Adding upstream version 1.21.22.upstream/1.21.22upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst')
-rwxr-xr-xtests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst b/tests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst
new file mode 100755
index 0000000..580884d
--- /dev/null
+++ b/tests/t-maintscript-leak/pkg-maintscript-leak/DEBIAN/postinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# On kFreeBSD: /dev/fd/
+# On Linux and kFreeBSD w/ linprocfs: /proc/self/fd/
+for d in /dev/fd/ /proc/self/fd/; do
+ if [ -d $d ]; then
+ fddir=$d
+ break
+ fi
+done
+
+if [ -n $fddir ]; then
+ ls -l $fddir
+ # We should have the 3 standard descriptors, plus 1 for the open directory.
+ [ `ls $fddir | wc -l` -eq 4 ] || echo WARN: maintscript leaks fd
+fi